Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.metadata.adapter
Class LocalizedStringAdapter

    java.lang.Object
      javax.xml.bind.annotation.adapters.XmlAdapter<java.util.List<LocalizedDescriptionMetaData>,org.jboss.portal.common.i18n.LocalizedString>
          org.jboss.portal.portlet.impl.metadata.adapter.LocalizedStringAdapter

    public class LocalizedStringAdapter

extends javax.xml.bind.annotation.adapters.XmlAdapter<java.util.List<LocalizedDescriptionMetaData>,org.jboss.portal.common.i18n.LocalizedString>

Version:
  $Revision$
Author:
  Emanuel Muckenhuber

Constructor Summary
`LocalizedStringAdapter()`

Method Summary
`java.util.List<LocalizedDescriptionMetaData>` | `marshal(org.jboss.portal.common.i18n.LocalizedString arg0)`
`org.jboss.portal.common.i18n.LocalizedString` | `unmarshal(java.util.List<LocalizedDescriptionMetaData> descriptionList)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalizedStringAdapter

    public LocalizedStringAdapter()

Method Detail

### marshal

    public java.util.List<LocalizedDescriptionMetaData> marshal(org.jboss.portal.common.i18n.LocalizedString arg0)
                                                         throws java.lang.Exception

  Specified by:
    `marshal` in class `javax.xml.bind.annotation.adapters.XmlAdapter<java.util.List<LocalizedDescriptionMetaData>,org.jboss.portal.common.i18n.LocalizedString>`
  Throws:
    `java.lang.Exception`

### unmarshal

    public org.jboss.portal.common.i18n.LocalizedString unmarshal(java.util.List<LocalizedDescriptionMetaData> descriptionList)
                                                           throws java.lang.Exception

  Specified by:
    `unmarshal` in class `javax.xml.bind.annotation.adapters.XmlAdapter<java.util.List<LocalizedDescriptionMetaData>,org.jboss.portal.common.i18n.LocalizedString>`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.